Authentication
Get available OAuth providers for organization-based auth
Returns a list of OAuth providers that are configured and available for organization-based authentication. Providers are configured via environment variables (e.g., GOOGLE_CLIENT_ID, GITHUB_CLIENT_ID).
GET
/api/auth/oauth-org/providersSDK setup
Create a client instance. No authentication is required for this endpoint.
import { Configuration, AuthenticationApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
});
const authentication = new AuthenticationApi(configuration);import { Configuration, AuthenticationApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
});
const authentication = new AuthenticationApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await authentication.getOrgOAuthProviders();const { data: result } = await authentication.getOrgOAuthProviders();Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
No Request Yet
Send a request to see the full inspector
Authentication
Public — No Auth Required
Responses
200List of available OAuth providers
json
{
"providers": [
{
"name": "google",
"displayName": "Google",
"strategy": "google",
"defaultScope": [
"profile",
"email"
],
"authUrl": "/api/auth/oauth-org/google"
},
{
"name": "github",
"displayName": "GitHub",
"strategy": "github",
"defaultScope": [
"user:email"
],
"authUrl": "/api/auth/oauth-org/github"
}
],
"total": 2
}{
"providers": [
{
"name": "google",
"displayName": "Google",
"strategy": "google",
"defaultScope": [
"profile",
"email"
],
"authUrl": "/api/auth/oauth-org/google"
},
{
"name": "github",
"displayName": "GitHub",
"strategy": "github",
"defaultScope": [
"user:email"
],
"authUrl": "/api/auth/oauth-org/github"
}
],
"total": 2
}